org.springframework.test.web.servlet

## Class MockMvcBuilderSupport

- java.lang.Object
- - org.springframework.test.web.servlet.MockMvcBuilderSupport

Direct Known Subclasses:
  DefaultMockMvcBuilder

    public abstract class MockMvcBuilderSupport
    extends Object

Base class for MockMvc builder implementations, providing the capability to create a `MockMvc` instance.

`DefaultMockMvcBuilder`, which derives from this class, provides a concrete `build` method, and delegates to abstract methods to obtain a `WebApplicationContext`.

Since:
  3.2
Author:
  Rossen Stoyanchev, Rob Winch

### Constructor Summary

Constructors
Constructor and Description
`MockMvcBuilderSupport()`

### Method Summary

Methods
`protected MockMvc` `createMockMvc(Filter[] filters, MockServletConfig servletConfig, WebApplicationContext webAppContext, RequestBuilder defaultRequestBuilder, List<ResultMatcher> globalResultMatchers, List<ResultHandler> globalResultHandlers, Boolean dispatchOptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockMvcBuilderSupport

    public MockMvcBuilderSupport()

### Method Detail

#### createMockMvc

    protected final MockMvc createMockMvc(Filter[] filters,
                        MockServletConfig servletConfig,
                        WebApplicationContext webAppContext,
                        RequestBuilder defaultRequestBuilder,
                        List<ResultMatcher> globalResultMatchers,
                        List<ResultHandler> globalResultHandlers,
                        Boolean dispatchOptions)